[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.Rename

Rename a key

## Declaration

Source position: contnrs.pp line 246

`public function TFPHashList.Rename(`
`const AOldName: shortstring;`
`const ANewName: shortstring`
`):Integer;`

## Arguments

`AOldName` |  | Key to rename
`ANewName` |  | New name of key

## Function result

New position in the list

## Description

Rename renames key AOldname to ANewName. The hash value is recomputed and the item is moved in the list to it's new position.

## Errors

If an item with ANewName already exists, an exception will be raised.

Documentation generated on: Feb 26 2014